--
-- Hawe_SLW_45
-- This is the specialization for Hawe_SLW_45
--
-- 
-- 
--
-- 

Hawe_SLW_45 = {};

function Hawe_SLW_45.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Trailer, specializations);
end;

function Hawe_SLW_45:load(xmlFile)

	self.fillNode = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.fillNode#index"));

end;

function Hawe_SLW_45:delete()
end;

function Hawe_SLW_45:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Hawe_SLW_45:keyEvent(unicode, sym, modifier, isDown)
end;

function Hawe_SLW_45:update(dt)
	
end;

function Hawe_SLW_45:draw()
end;
